> ## Documentation Index
> Fetch the complete documentation index at: https://docs.illuminalab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete resource

> Permanently delete a resource and all its associated threads (via database CASCADE). This action cannot be undone.



## OpenAPI

````yaml openapi.json delete /v1/resources/{resourceId}
openapi: 3.1.0
info:
  title: Illumina Lab API
  description: AI-powered workflow orchestration API for building AI applications.
  version: 0.1.0
servers:
  - url: https://api.illuminalab.com
security: []
tags:
  - name: workflow
    description: Workflow execution endpoints for running AI conversations
  - name: resources
    description: Resource and thread management within specific resources
  - name: threads
    description: Direct thread access endpoints for the authenticated team
  - name: feedback
    description: Endpoints for providing feedback on AI responses and conversations
paths:
  /v1/resources/{resourceId}:
    delete:
      tags:
        - resources
      summary: Delete resource
      description: >-
        Permanently delete a resource and all its associated threads (via
        database CASCADE). This action cannot be undone.
      operationId: deleteV1ResourcesByResourceId
      parameters:
        - name: resourceId
          in: path
          required: true
          schema:
            type: string
            minLength: 10
            description: Unique resource identifier (minimum 10 characters)
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            pattern: ^Bearer [\s\S]{0,}$
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the deletion was successful
                required:
                  - success
                additionalProperties: false
        '401':
          description: Error response following IlluminaError format
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Error code in format 'type:surface' (e.g.,
                          'not_found:database')
                      message:
                        type: string
                        description: Human-readable error message
                      details:
                        description: Additional error context
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/AnyValue'
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
                description: Error response following IlluminaError format
        '404':
          description: Error response following IlluminaError format
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Error code in format 'type:surface' (e.g.,
                          'not_found:database')
                      message:
                        type: string
                        description: Human-readable error message
                      details:
                        description: Additional error context
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/AnyValue'
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
                description: Error response following IlluminaError format
        '500':
          description: Error response following IlluminaError format
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Error code in format 'type:surface' (e.g.,
                          'not_found:database')
                      message:
                        type: string
                        description: Human-readable error message
                      details:
                        description: Additional error context
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          $ref: '#/components/schemas/AnyValue'
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
                description: Error response following IlluminaError format
components:
  schemas:
    AnyValue:
      description: JSON-compatible value
      anyOf:
        - anyOf:
            - type: string
            - type: number
            - type: boolean
            - type: 'null'
        - type: array
          items:
            $ref: '#/components/schemas/AnyValue'
        - type: object
          propertyNames:
            type: string
          additionalProperties:
            $ref: '#/components/schemas/AnyValue'

````